%global _empty_manifest_terminate_build 0
Name:           python-cassandra-driver
Version:        3.29.1
Release:        1
Summary:        DataStax Driver for Apache Cassandra
License:        Apache-2.0
URL:            http://github.com/datastax/python-driver
Source0:        https://files.pythonhosted.org/packages/59/28/3e0ea7003910166525304b65a8ffa190666b483c2cc9c38ed5746a25d0fd/cassandra-driver-%{version}.tar.gz
Patch1:         0001-Increase-the-upper-limit-version-of-geomet.patch

%description
DataStax Driver for Apache Cassandra

%package -n python3-cassandra-driver
Summary:        DataStax Driver for Apache Cassandra
Provides:       python-cassandra-driver
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-cffi
BuildRequires:  gcc
BuildRequires:  gdb
BuildRequires:  python3-Cython
# General requires
BuildRequires:  python3-six
BuildRequires:  python3-geomet
#BuildRequires:  python3-futures
#BuildRequires:  python3-gremlinpython
# General requires
Requires:       python3-six
Requires:       python3-geomet
#Requires:       python3-futures
#Requires:       python3-gremlinpython
%description -n python3-cassandra-driver
DataStax Driver for Apache Cassandra

%package help
Summary:        DataStax Driver for Apache Cassandra
Provides:       python3-cassandra-driver-doc
%description help
DataStax Driver for Apache Cassandra

%prep
%autosetup -p1 -n cassandra-driver-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-cassandra-driver -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Mar 25 2024 wangqiang <wangqiang1@kylinos.cn> - 3.29.1-1
- Update package to version 3.29.1

* Wed Jan 10 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 3.29.0-1
- Update package to version 3.29.0

* Fri Sep 8 2023 Dongxing Wang <dxwangk@isoftstone.com> - 3.28.0-1
- Upgrade version to 3.28.0 for ebs build

* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 3.25.0-1
- Upgrade version for openstack yoga

* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 3.24.0-1
- Package Spec generate
